<?php
// $Id: table_clean_xml.php,v 1.1 2007/02/27 14:49:14 ohwada Exp $

// 2007-02-20 K.OHWADA
// hack for multi site

//================================================================
// WebLinks Module
// 2007-02-20 K.OHWADA
//================================================================

include 'admin_header.php';

//=========================================================
// main
//=========================================================
// hack for multi site
weblinks_admin_multi_disable_feature();

xoops_cp_header();

$link_handler =& weblinks_get_handler( 'link', WEBLINKS_DIRNAME );
$form_lib     =& happy_linux_form_lib::getInstance();
$post         =& happy_linux_post::getInstance();

$link_handler->set_debug_db_sql( 1 );

weblinks_admin_print_bread( _AM_WEBLINKS_TABLE_MANAGE, 'table_manage.php', 'clean rss_xml' );
echo "<h3>Clean rss_xml</h3>\n";

$op = $post->get_post_text('op');

switch ($op) 
{
case "clean_xml":
	if( !$form_lib->check_token() ) 
	{
		xoops_error("Token Error");
	}
	else
	{
		$ret = $link_handler->clean_rss_xml();
		if ( $ret )
		{
			echo "<h4>Success</h4>\n";
		}
		else
		{
			echo "<h4>Failed</h4>\n";
			echo $link_handler->getErrors(1);
		}
	}
	break;

default:
	echo $form_lib->build_lib_box_button_class( 'Execute to clean rss_xml', '', 'clean_xml', _EXEC );
	break;

}

xoops_cp_footer();
exit();

?>